check semaphore fist on tweet and message
[rainbowstream.git] / setup.py
1 from setuptools import setup, find_packages
2 import os, os.path, sys
3
4 # Bumped version
5 version = '0.5.4'
6
7 # Require
8 install_requires = [
9 "python-dateutil",
10 "requests",
11 "pyfiglet",
12 "SQLAlchemy",
13 "twitter",
14 "Pillow",
15 ]
16
17 # Python 3 doesn't hava pysqlite
18 if sys.version[0] == "2":
19 install_requires += ["pysqlite"]
20
21 # Copy default config if not exists
22 default = os.path.expanduser("~") + os.sep + '.rainbow_config.json'
23 if not os.path.isfile(default):
24 cmd = 'cp rainbowstream/colorset/config ' + default
25 os.system(cmd)
26 cmd = 'chmod 777 ' + default
27 os.system(cmd)
28
29 # Setup
30 setup(name='rainbowstream',
31 version=version,
32 description="A smart and nice Twitter client on terminal.",
33 long_description=open("./README.rst", "r").read(),
34 classifiers=[
35 "Development Status :: 5 - Production/Stable",
36 "Environment :: Console",
37 "Intended Audience :: End Users/Desktop",
38 "Natural Language :: English",
39 "Operating System :: OS Independent",
40 "Programming Language :: Python :: 2.7",
41 "Programming Language :: Python :: 3.2",
42 "Programming Language :: Python :: 3.3",
43 "Programming Language :: Python :: 3.4",
44 "Topic :: Internet :: WWW/HTTP :: Dynamic Content :: CGI Tools/Libraries",
45 "Topic :: Utilities",
46 "License :: OSI Approved :: MIT License",
47 ],
48 keywords='twitter, command-line tools, stream API',
49 author='Vu Nhat Minh',
50 author_email='nhatminh179@gmail.com',
51 url='http://www.rainbowstream.org/',
52 license='MIT License',
53 packages=find_packages(exclude=['ez_setup', 'examples', 'tests']),
54 include_package_data=True,
55 zip_safe=True,
56 install_requires=install_requires,
57 entry_points="""
58 # -*- Entry points: -*-
59 [console_scripts]
60 rainbowstream=rainbowstream.rainbow:fly
61 """,
62 )